@charset "utf-8";

section {
    margin-bottom: 80px;
}
@media screen and (max-width: 700px) {
    section {
        margin-bottom: 60px;
    }
}

/* ---------- 
newgraduates-info
----------*/
.newgraduates-info dl {
    display: flex;
    flex-wrap: wrap;
    border: 1px solid var(--color-line);
    border-bottom: none;
}
.newgraduates-info dl dt {
    width: 20%;
    padding: 20px 30px;
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: bold;
    letter-spacing: 0.05em;
    line-height: 2.125;
    background-color: var(--color-sub);
    border-bottom: 1px solid var(--color-line);
}
.newgraduates-info dl dd {
    width: 80%;
    padding: 20px 30px;
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: 400;
    letter-spacing: 0.05em;
    line-height: 2.125;
    border-bottom: 1px solid var(--color-line);
}

.newgraduates-info ul li{
    position: relative;
    padding-left: 1em;
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    letter-spacing: 0.05em;
    line-height: calc(34/16);
}

.newgraduates-info ul li::before {
    content: "";
    position: absolute;
    top: 0.9em;
    left: 0;
    width: 0.5em;
    height: 0.5em;
    border-radius: 50%;
    background-color: var(--color-link_009BDA);
}

.newgraduates-info ul li > ul li::before {
    content: "";
    position: absolute;
    top: 0.9em;
    left: 0;
    width: 0.5em;
    height: 0.5em;
    border-radius: 50%;
    border: 1px solid var(--color-link_009BDA);
    background-color: var(--color-text-sub);
}

.newgraduates-info a:not(.link-text) {
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: 400;
    color: var(--color-link_009BDA);
    letter-spacing: 0.05em;
    background-image: linear-gradient(var(--color-link_009BDA), var(--color-link_009BDA));
    background-size: 0% 1px;
    background-position: left bottom;
    background-repeat: no-repeat;
    transition: background-size 0.3s ease-out;
    line-height: calc(34 / 16);
}

.newgraduates-info a[target="_blank"]:not(.link-text), 
.newgraduates-info a[href$=".pdf"]:not(.link-text) {
    display: inline;
    padding-right: 1.4em;
    margin-right: 0.5em;
    background-size: 0% 1px, 1em 1em;
    background-position: left bottom, right center;
}
.newgraduates-info a[target="_blank"]:not(.link-text){
    background-image:
    linear-gradient(var(--color-link_009BDA), var(--color-link_009BDA)),
    url(../../images/common/icon_external-link.svg);
}
.newgraduates-info a[href$=".pdf"]:not(.link-text) {
    background-image:
    linear-gradient(var(--color-link_009BDA), var(--color-link_009BDA)),
    url(../../images/common/icon-pdf.svg);
}

@media screen and (min-width: 701px) {
    .newgraduates-info a:not(.link-text):hover {
        background-size: 100% 1px;
    }
    .newgraduates-info a[target="_blank"]:not(.link-text):hover,
    .newgraduates-info a[href$=".pdf"]:not(.link-text):hover {
        background-size: calc(100% - 1.4em) 1px, 1em 1em;
    }
}

@media screen and (max-width: 700px) {
    .newgraduates-info dl dt {
        width: 100%;
        padding: 10px 20px;
        font-size: calc(15px / var(--fs-base) * 1rem);
        line-height: 2;
        border-bottom: none;
    }
    .newgraduates-info dl dd {
        width: 100%;
        padding: 20px;
        font-size: calc(14px / var(--fs-base) * 1rem);
        line-height: calc(28/14);
    }
    .newgraduates-info dl dd .link-text {
        font-size: calc(14px / var(--fs-base) * 1rem);
        line-height: calc(28/14);
    }

    .newgraduates-info ul li{
        font-size: calc(14px / var(--fs-base) * 1rem);
        line-height: calc(28/14);
    }

    .newgraduates-info a:not(.link-text) {
        background-size: 100% 1px;
        transition: none;
        font-size: calc(15px / var(--fs-base) * 1rem);
        line-height: calc(30/15);
    }
    .newgraduates-info a[target="_blank"]:not(.link-text),
    .newgraduates-info a[href$=".pdf"]:not(.link-text) {
        background-size: calc(100% - 1.4em) 1px, 1em 1em;
    }
}

/* ---------- 
newgraduates-process
----------*/
.newgraduates-process-lead{
    margin-bottom: 40px;
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: 400;
    letter-spacing: 0.05em;
}

.newgraduates-process-list{
    display: flex;
    align-items: stretch;
    gap: 30px;
}

.newgraduates-process-item{
    position: relative;
    overflow: hidden;
}

.item-text{
    position: absolute;
    background: color-mix(in srgb, var(--color-text) 70%, transparent);
    color: var(--color-text-sub);
    padding: clamp(30px, 2.14vw, 30px) 0;
    width: 100%;
    text-align: center;
}

.item-text p{
    font-size: clamp(24px, 1.71vw, calc(24px * var(--ratio)));
    font-weight: 500;
    letter-spacing: 0.025em;
    line-height: calc(38/24);
    margin-bottom: 20px;
}

.item-text .btn-wrap {
    margin-bottom: 0;
}

.item-img{
    display: block;
    width: 100%;
    overflow: hidden;
    line-height: 0;
}

.item-img img{
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

/*Coming soonとFinished用*/
.newgraduates-process-item.coming-soon{
    opacity: 0.3;
    pointer-events: none;
}

.newgraduates-process-item.coming-soon .btn-wrap .btn-hover-grad:after{
    content: none;
}

/*ホバー設定_PCのみ*/
@media screen and (min-width: 701px) {
    .item-text .btn-wrap .btn-hover-grad-white:hover{
        background: linear-gradient(to right, var(--color-banner_C2F1FD) , var(--color-link_009BDA));
    }
}

/*タブレット設定*/
@media screen and (max-width: 1110px) {
    .item-img{
        height: clamp(240px, 58vw, 280px);
    }

    .item-text .btn-hover-grad{
        max-width: 330px;
        width: 80%;
    }
}

/*SP設定*/
@media screen and (max-width: 700px) {
    .newgraduates-process-lead{
        font-size: calc(15px / var(--fs-base) * 1rem);
        line-height: calc(30/15);
    }

    .newgraduates-process-list{
        flex-direction: column;
        gap: 20px;
    }

    .item-img{
        height: calc(240px / var(--fs-base) * 1rem);
    }

    .item-text{
        padding: 30px;
        padding-top: 28px;
    }

    .item-text .btn-hover-grad{
        width: 100%;
    }
}


/* ---------- 
btn-wrap
----------*/
.btn-wrap {
    margin-bottom: 80px;
}
@media screen and (max-width: 700px) {
    .btn-wrap {
        margin-bottom: 60px;
    }
}
